Loading...
Searching...
No Matches
OpenMesh::Subdivider::Adaptive Namespace Reference

Software related to adaptive subdivision of meshes. More...

## Classes

class | CompositeT
| Adaptive Composite Subdivision framework. More...
struct | CompositeTraits
| Adaptive Composite Subdivision framework. More...
class | EdE
| Composite rule EdE. More...
class | EdEc
| Composite rule EdEc. More...
class | EF
| Composite rule EF. More...
class | EV
| Composite rule EV. More...
class | EVc
| Composite rule EVc. More...
class | FE
| Composite rule FE. More...
class | FF
| Composite rule FF. More...
class | FFc
| Composite rule FFc. More...
class | FV
| Composite rule FV. More...
class | FVc
| Composite rule FVc. More...
struct | RuleHandleT
| Handle template for adaptive composite subdividion rules. More...
class | RuleInterfaceT
| Base class for adaptive composite subdivision rules. More...
struct | State
struct | Traits
class | Tvv3
| Adaptive Composite Subdivision framework. More...
class | Tvv4
| Topological composite rule Tvv,4 doing a 1-4 split of a face. More...
class | VdE
| Composite rule VdE. More...
class | VdEc
| Composite rule VdEc. More...
class | VE
| Composite rule VE. More...
class | VF
| Composite rule VF. More...
class | VV
| Composite rule VV. More...
class | VVc
| Composite rule VVc. More...

## Typedefs

typedef CompositeTraits::state_t | state_t
| Adaptive Composite Subdivision framework.
typedef CompositeTraits::final_t | final_t
typedef CompositeTraits::State | State

## Detailed Description

Software related to adaptive subdivision of meshes.